classification
Title: Sync os.stat's doc and doc string
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, python-dev, serhiy.storchaka, vstinner, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-12-28 08:42 by xiang.zhang, last changed 2017-01-22 05:19 by xiang.zhang. This issue is now closed.

Files
File name Uploaded Description Edit
doc-os-stat.patch xiang.zhang, 2016-12-28 08:42 review
Messages (4)
msg284167 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-12-28 08:42
The accepted types of parameter *path* are different between os.stat's doc and doc string.

In doc, it mentions Pathlike, string and file descriptor. In doc string, it mentions string, bytes and file descriptor. (3.5 only lack bytes in doc).
msg284568 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-01-03 14:24
It's a recent change, before path type was always str.
msg284569 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-01-03 14:25
Ignore my comment, I was thinking to something else (recent os.scandir change on Windows).
msg285986 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-22 05:18
New changeset 1f30e114cbc8 by Xiang Zhang in branch '3.5':
Issue #29092: Sync os.stat's doc and docstring on path type.
https://hg.python.org/cpython/rev/1f30e114cbc8

New changeset 409ffea5cccf by Xiang Zhang in branch '3.6':
Issue #29092: Sync os.stat's doc and docstring on path type.
https://hg.python.org/cpython/rev/409ffea5cccf

New changeset cee9d322178f by Xiang Zhang in branch 'default':
Issue #29092: Merge 3.6.
https://hg.python.org/cpython/rev/cee9d322178f
History
Date User Action Args
2017-01-22 05:19:21xiang.zhangsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-01-22 05:18:47python-devsetnosy: + python-dev
messages: + msg285986
2017-01-03 14:25:36vstinnersetmessages: + msg284569
2017-01-03 14:24:27vstinnersetnosy: + serhiy.storchaka, vstinner
messages: + msg284568
2016-12-28 08:42:25xiang.zhangcreate